2020-10-20  Thien-Thi Nguyen  <ttn@gnu.org>

	Release: 5.10.0

2020-10-04  Thien-Thi Nguyen  <ttn@gnu.org>

	[build int] Put ‘AC_INIT’ args all on one line.

	* configure.ac (AC_INIT): ...here.
	Suggested by autoupdate (GNU Autoconf) 2.69c.

2020-10-04  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Replace ‘AC_PROG_CC_C99’ w/ ‘AC_PROG_CC’.

	* configure.ac: ...here.
	Suggested by autoupdate (GNU Autoconf) 2.69c.
	(ac_cv_prog_cc_c99): Delete variable value check.

2019-11-12  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Index concept of "trunk".

	* doc/rcs.texi (Concepts): ...here.

2019-10-31  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Index the special revision ‘$’.

	* doc/rcs.texi (Revision options): ...here, w/ two @cindex entries.

2018-06-24  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Use ‘strftime’ format strings in date format explanation.

	* doc/rcs.texi (comma-v particulars): ...here.
	Suggested by Tim Chase.

2018-06-24  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Fix typo: Spell "commands" correctly.

	* doc/rcs.texi (Environment): ...here.
	Reported by Tim Chase.

2018-06-01  Thien-Thi Nguyen  <ttn@gnu.org>

	[build int] Use ‘AC_CONFIG_MACRO_DIR’.

	We don't use aclocal(1) directly,
	so it's okay to delete ‘ACLOCAL_AMFLAGS’.
	* configure.ac (AC_CONFIG_MACRO_DIR): ...here.
	* Makefile.am (ACLOCAL_AMFLAGS): Delete var.

2018-05-30  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Mention file HACKING.

	* doc/rcs.texi (Reporting bugs):
	...here, in the context of coding standards.

2018-04-28  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Use gnulib module ‘strtok_r’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘strtok_r’.

2018-04-27  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Document "delim-separated list"; tabulate delims.

	* doc/rcs.texi (Top) [detailmenu]: Add
	"Delim-separated list" to "Common elements" section.
	(Common elements): Add "Delim-separated list" to menu.
	(State option): Add xref to "Delim-separated list".
	(Delim-separated list): New node/subsection.
	(rcs, rlog): Add pxref to "Delim-separated list".

2018-04-25  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Drop gnulib module ‘opendir’.

	* m4/gnulib-cache.m4 (gl_MODULES): Delete ‘opendir’.

2018-04-25  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Use gnulib module ‘scandir’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘scandir’.

2018-04-25  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Use gnulib module ‘xalloc-die’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘xalloc-die’.

2018-04-20  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Sprinkle w/ cindex entries.

	* doc/rcs.texi (Date option, Description option)
	(Substitution mode option, Misc common options)
	(ci, co, rcs, rcsmerge): ...here, mostly for options.

2018-04-20  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Add some xrefs.

	* doc/rcs.texi (ci, co): ...here, all to ‘Misc common opotions’.

2018-04-20  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Centralize and expand ‘-sSTATE’ description.

	* doc/rcs.texi (Top) [detailmenu]: Add "State option"
	to "Common elements" section.
	(Common elements): Add "State option" to menu.
	(State option): New node/subsection.
	(Misc common options): Remove ‘-s’ from intro blurb, list.
	(ci, co, rcs, rlog): Update ‘-s’ descriptions, xref.

2018-04-20  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Rewrite description of date-only time formats.

	* doc/rcs.texi (Date option): Convert table to multitable;
	add column for example; factor year description into intro
	blurb; use more descriptive metavar names; mention ‘w’.

2018-04-20  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Improve RCS file particulars.

	* doc/rcs.texi (comma-v particulars): Say "@code{string} value";
	add cindex for string particulars; rewrite string description;
	add table of string examples; move example node numbers into
	@example blocks; add a paragraph break.

2018-04-19  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Use @t for @table items.

	This saves two columns over @code in Info format output.

	* doc/rcs.texi (Concepts, Revision options, Date option)
	(Substitution mode option, Misc common options, ci, co, ident)
	(merge, rcs, rcsclean, rcsdiff, rcsmerge, rlog): ...here.

2018-04-19  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Mention ‘ci -k’ is not like other commands' ‘-k’.

	* doc/rcs.texi (ci): Mention ‘-k’ as "do not confuse".

2018-04-18  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Centralize and expand ‘-M[REV]’ description.

	* doc/rcs.texi (Top) [detailmenu]: Add
	"Working file mtime option" to "Common elements" section.
	(Common elements): Add "Working file mtime option" to menu.
	(minus-M): New node.
	(ci, co): Convert ‘-M’ description to xref to ‘minus-M’.
	(rcs): Mention ‘minus-M’ as "do not confuse".

2018-04-15  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Add @group around example section.

	* doc/rcs.texi (Concepts) [RCS file]: ...here,
	for 2nd bunch of three lines in @example block.

2018-04-15  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Reduce height of delta diagram.

	* doc/rcs.texi (comma-v particulars):
	Remove one row from between each "level" of entity,
	reducing its overall height from 34 to 30 lines.

2018-04-15  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Fix bug: Sync detailmenu.

	Omission from 2010-11-14, "Factor ‘-m’ description".

	* doc/rcs.texi (detailmenu):
	Add "Log message option"
	to "Common elements" section.

2018-04-15  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Add warning about using ‘rcs log’ w/ CVS.

	* doc/rcs.texi (comma-v particulars): ...here,
	along w/ a command to determine ‘cvs log’ requirement.

2018-04-11  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Use gnulib module ‘gettime’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘gettime’.

2018-04-09  Thien-Thi Nguyen  <ttn@gnu.org>

	Fix bug 52288: Make ‘-T’ support subsecond resolution.

	Thanks to both sergio and Xose Vazquez Perez
	for reporting this problem.  See also:
	- 2018-04-05, [v] Avoid "test FILE1 -nt FILE2".
	- 2018-04-05, [v] Add support for "btdt mtimecmp FILE1 FILE2".
	- <https://savannah.gnu.org/bugs/index.php?52288>
	- <http://lists.gnu.org/archive/html/bug-rcs/2017-10/msg00002.html>
	- <http://lists.gnu.org/archive/html/bug-rcs/2016-07/msg00000.html>

	* doc/rcs.texi (Top): Add "Stamp resolution" to menu.
	(Misc common options): Add xref to "Stamp resolution".
	(Hacking): Pluralize "aspect";
	add "Stamp resolution" to menu.
	(Stamp resolution): New node.

2018-04-09  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Add cindex entry and xrefs for ‘-T’.

	* doc/rcs.texi (Misc common options): For ‘-T’, add
	@cindex and @pxref commands to ci, co, rcs, rcsclean.

2018-04-09  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Use gnulib module ‘timespec’.

	This addresses the omission from 2018-03-31,
	"Add abstraction: unspecified_timespec".

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘timespec’.

2017-10-28  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Use gnulib module ‘utimens’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘utimens’.

2017-10-28  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Use gnulib module ‘stat-time’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘stat-time’.

2016-11-30  Thien-Thi Nguyen  <ttn@gnu.org>

	[boot int] Precisely delete files backed-up by ‘gnulib-tool --copy-file’.

	* autogen.sh (actually): Do ‘rm -f’ here...
	<top-level>: ...instead of here.

2016-10-25  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Mention hyphens w/ ‘rlog -zZONE’.

	* doc/rcs.texi (rlog): ...as opposed
	to slashes, here, in the options table.

2016-10-16  Thien-Thi Nguyen  <ttn@gnu.org>

	[build int] Use gnulib module ‘memchr’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘memchr’.

2016-10-14  Thien-Thi Nguyen  <ttn@gnu.org>

	Fix typo: Spell "responsible" correctly.

	* doc/rcs.texi (Credits): ...here.

2016-10-14  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Say "standard output" instead of "stdout".

	* doc/rcs.texi (co, merge, rcsmerge): ...here.

2016-10-13  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Fix bug: Add space between merge option ‘-L’ and its arg.

	* doc/rcs.texi (merge): ...here.

2015-02-02  Thien-Thi Nguyen  <ttn@gnu.org>

	[slog] Consult USER before LOGNAME if latter is configure-time readonly.

	* configure.ac (rcs_cv_LOGNAME_ro): New AC_CACHE_CHECK.
	(USER_OVER_LOGNAME): New RCS_CBOOL.
	* doc/rcs.texi (Environment): Mention possible order
	inversion of env var checks in footnote; remove paren pair.

2015-01-23  Thien-Thi Nguyen  <ttn@gnu.org>

	[build slog] Avoid "date -r".

	Apparently, "date -r" is not POSIX.  Reported by Michael Felt:
	<http://lists.gnu.org/archive/html/bug-rcs/2015-01/msg00006.html>.

	* configure.ac (rcs_cv_sane_mmap) [AIX]: Don't compare
	file timestamp before and after the mmap operation; instead,
	create two files in determined temporal order and check that
	the mmap operation does not change that order.

2015-01-22  Thien-Thi Nguyen  <ttn@gnu.org>

	Release: 5.9.4

2015-01-18  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Index some more branch-related concepts.

	* doc/rcs.texi (Concepts, Revision options, rcs):
	Add @cindex entries re default branch, tip, and the like.

2015-01-17  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Reorganize introspective stuff into new chapter.

	* doc/rcs.texi (Top): Remove "File format", "Still missing"
	and "Reporting bugs" from menu; add "Hacking" in their place;
	Add appropriate entries to the detailmenu.
	(Hacking): New node/chapter.
	(File format): Demote to section of "Hacking"; update footnote.
	(comma-v grammar, comma-v particulars): Demote to subsection.
	(Still missing, Reporting bugs): Demote to section of "Hacking".

2015-01-14  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Index implicit checkout.

	* doc/rcs.texi (Quick tour): Add two @cindex.
	(ci): Likewise, one for ‘ci -l’, one for ‘ci -u’.

2015-01-14  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Index keywords.

	* doc/rcs.texi (Substitution mode option):
	...here, in the keywords table, via @vindex.

2015-01-14  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Move @cindex before @item.

	* doc/rcs.texi (Substitution mode option, Misc common options):
	...here, in table of subst modes and common options, respectively.

2015-01-14  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Index locking concepts, operations.

	* doc/rcs.texi (Concepts, Quick tour, ci, rcs):
	Add @cindex for various locks/locking-related topics.

2015-01-14  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Index ‘frob -o’ more.

	* doc/rcs.texi (rcs): Use "delete" in ‘-o’ explanation,
	reducing "outdate" to aka status; add @cindex for "deleting",
	"removing" and "outdating".

2015-01-13  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Use @r in examples.

	* doc/rcs.texi (Quick tour, Common elements, Environment): ...here.

2015-01-12  Thien-Thi Nguyen  <ttn@gnu.org>

	[boot] Invoke autoreconf(1) w/ option ‘--force’.

	* autogen.sh: ...here.

2014-10-09  Thien-Thi Nguyen  <ttn@gnu.org>

	[dist] Don't distribute HACKING.

	Omission from 2013-04-02, "Don't bother w/ README-alpha any more".
	This was vestigial support for the "X.Y.Z → alpha" versioning
	scheme.  Starting w/ 5.8.2, we use MAJOR.MINOR.PATCH.

	* Makefile.am (dist-hook) Don't check
	$(PACKAGE_VERSION) or distribute HACKING.

2014-09-17  Thien-Thi Nguyen  <ttn@gnu.org>

	Release: 5.9.3

2014-09-07  Thien-Thi Nguyen  <ttn@gnu.org>

	[int] Use gnulib module ‘xalloc’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘xalloc’.

2014-09-07  Thien-Thi Nguyen  <ttn@gnu.org>

	[int] Use gnulib module ‘exitfail’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘exitfail’.

2014-09-07  Thien-Thi Nguyen  <ttn@gnu.org>

	[build int] Use gnulib module ‘close’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘close’.

2014-08-31  Thien-Thi Nguyen  <ttn@gnu.org>

	[build int] Use gnulib module to declare non-NULL args.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘snippet/arg-nonnull’.

2014-08-30  Thien-Thi Nguyen  <ttn@gnu.org>

	Drop compatibility w/ RCS 2.x file format.

	* doc/rcs.texi (Concepts): Drop compatibility note.
	* configure.ac (compat2): Delete this AC_ARG_ENABLE.
	(COMPAT2): Delete this RCS_CBOOL.

2014-08-26  Thien-Thi Nguyen  <ttn@gnu.org>

	Fix typo: Spell "expansion" correctly.

	* doc/rcs.texi (Misc common options): ...here.

2014-08-09  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Use gnulib module ‘vla’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘vla’.

2014-08-09  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Use gnulib module ‘vararrays’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘vararrays’.
	* configure.ac (rcs_cv_arsz_func_parm, ARSZ_FN_PARM_OK): Delete.

2014-08-07  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Fix bug: Formulate ‘static’ check correctly.

	* configure.ac (rcs_cv_arsz_func_parm): Move func defs
	from ‘AC_LANG_PROGRAM’ BODY to PROLOGUE; add BODY.
	Reported by Paul Eggert -- same thread.

2014-08-06  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Make ‘static’ check more likely to trigger lossage.

	Suggested by Paul Eggert:
	<http://lists.gnu.org/archive/html/bug-gnulib/2014-08/msg00014.html>

	* configure.ac (rcs_cv_arsz_func_parm): Add C func ‘last1’.

2014-08-05  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Check if compiler handles ‘static’ in array-size func parm.

	* configure.ac <checks for compiler characteristics>: New section.
	(rcs_cv_arsz_func_parm): New var to record check for
	proper compilation of ‘static’ in array-size func parm.
	(ARSZ_FN_PARM_OK): New RCS_CBOOL.

2014-08-02  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Add diff(1)/diff3(1) support for cross-compiling.

	Prompted by:
	<http://lists.gnu.org/archive/html/help-rcs/2013-06/msg00000.html>

	* configure.ac (RCS_SET_MAYBE): New AC_DEFUN.
	(rcs_cv_sane_DIFF, rcs_cv_status_diff_success)
	(rcs_cv_status_diff_failure, rcs_cv_status_diff_trouble)
	(rcs_cv_options_diff, rcs_cv_options_diff_l):
	When cross-compiling, if ‘DIFF’ is set, assign optimistic values
	to these vars, thereby arranging to effectively skip their tests.
	(rcs_cv_sane_diff3): Likewise for ‘DIFF3’.

2013-11-28  Thien-Thi Nguyen  <ttn@gnu.org>

	Release: 5.9.2

	* build-aux/extract-help (version): Bump to "1.5".

2013-10-21  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Fix bug: Avoid possibly failing commands in backticks.

	Reported by Dagobert Michelsen:
	<http://lists.gnu.org/archive/html/bug-rcs/2013-10/msg00000.html>.

	* build-aux/extract-help: For ‘#include "b-yacmd.h"’ generation,
	rewrite test to use list control operator ‘||’ directly.
	Suggested by Paul Eggert:
	<http://lists.gnu.org/archive/html/bug-rcs/2013-06/msg00006.html>.

2013-10-20  Thien-Thi Nguyen  <ttn@gnu.org>

	Fix bug: Bump extract-help version number.

	Omission from previous releases.

	* build-aux/extract-help (version): Bump to "1.4".

2013-10-20  Thien-Thi Nguyen  <ttn@gnu.org>

	Relax RCS_MEM_LIMIT default; fall back if unspecified.

	* doc/rcs.texi (Environment): Update ‘RCS_MEM_LIMIT’ description;
	add a willful ignorance hint and speculation on its removal.

2013-10-17  Thien-Thi Nguyen  <ttn@gnu.org>

	Fix typo: Spell "compatib..." correctly!

	Reported by Romain Francoise.

	* doc/rcs.texi: Do ‘s/compatab/compatib/g’.
	* man/ident.1in: Likewise.

2013-10-04  Thien-Thi Nguyen  <ttn@gnu.org>

	Release: 5.9.1

2013-09-25  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Fix bug: Avoid backslash in backticks.

	* build-aux/extract-help (vprefix): ...here.
	Suggested by Paul Eggert.

2013-09-24  Thien-Thi Nguyen  <ttn@gnu.org>

	[build int] Look for ed(1) unconditionally.

	This reverts 2011-06-10, "Don't look for ed(1) if diff3(1)
	is sane enough" for the sake of an upcoming change.

	* configure.ac (ED): Set shell var and do
	‘RCS_ABSOLUTE_PROGRAM’ regardless of diff3(1) sanity.

2013-06-04  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Explcitly "exit 0" in extract-help script.

	Reported by Jörn Clausen:
	<http://lists.gnu.org/archive/html/bug-rcs/2013-06/msg00000.html>.

	* build-aux/extract-help: ...here.

2013-05-31  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Avoid "grep -q" in extract-help script.

	Reported by Jörn Clausen:
	<http://lists.gnu.org/archive/html/bug-rcs/2013-05/msg00001.html>.

	* build-aux/extract-help: Don't use "! grep -q ...";
	instead, use "test 0 = `grep -c ...`".

2013-05-06  Thien-Thi Nguyen  <ttn@gnu.org>

	Release: 5.9.0

2013-05-06  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Document the effects of -V5, -V4, -V3.

	* doc/rcs.texi (Misc common options): ...here, for ‘-VN’.

2013-05-06  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Use gnulib module ‘readdir’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘readdir’.

2013-05-06  Thien-Thi Nguyen  <ttn@gnu.org>

	[build int] Use ‘AS_IF’ more.

	* configure.ac (rcs_cv_wac_ok, rcs_cv_rename_mw):
	...here, instead of ‘if’ .. ‘fi’.

2013-05-05  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Add support for cross-compilation.

	Prompted by:
	<http://lists.gnu.org/archive/html/help-rcs/2013-04/msg00007.html>

	* configure.ac (rcs_cv_tinyinit_ok, rcs_cv_fopen_truncates)
	(rcs_cv_wac_ok, rcs_cv_unlink_mw_ok, rcs_cv_rename_mw)
	(rcs_cv_sane_mmap, rcs_cv_mmap_signal, rcs_cv_tolerant_wait):
	Arrange to use "pessimistic defaults" when cross-compiling.

2013-05-05  Thien-Thi Nguyen  <ttn@gnu.org>

	[build int] Decruft: Don't bother w/ AC_TYPE_{OFF,SSIZE}_T.

	These are handled by gnulib module ‘stdio’.

	* configure.ac (AC_TYPE_OFF_T, AC_TYPE_SSIZE_T): Delete calls.

2013-05-05  Thien-Thi Nguyen  <ttn@gnu.org>

	[build int] Decruft: Don't bother w/ AC_TYPE_{MODE,PID}_T.

	These are handled by gnulib module ‘fcntl-h’.

	* configure.ac (AC_TYPE_MODE_T, AC_TYPE_PID_T):	Delete calls.

2013-05-05  Thien-Thi Nguyen  <ttn@gnu.org>

	[build int] Use ‘build_os’ for sane-mmap(2) check.

	* configure.ac (rcs_cv_sane_mmap): ...here,
	testing against ‘*-aix* | aix*’ with ‘AS_CASE’.

2013-05-05  Thien-Thi Nguyen  <ttn@gnu.org>

	[build int] Regularize some ‘AC_RUN_IFELSE’ cache var usage.

	* configure.ac (rcs_cv_tinyinit_ok): Use temp var ‘res’
	in the the ‘AC_RUN_IFELSE’ form as well as in the body
	of the surrounding ‘AC_CACHE_CHECK’ form; copy its value
	to ‘rcs_cv_tinyinit_ok’ when done.
	(rcs_cv_rename_mw, rcs_cv_sane_mmap): Likewise.

2013-05-04  Thien-Thi Nguyen  <ttn@gnu.org>

	[build int] Presume availability of ‘ftruncate’.

	* configure.ac (AC_CHECK_FUNCS_ONCE): Remove ‘ftruncate’.
	(PRESUMABLY_STANDARD_ENOUGH_BY_NOW): Remove ‘ac_cv_func_ftruncate’.

2013-05-04  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Use gnulib module ‘ftruncate’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘ftruncate’.

2013-05-04  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Use gnulib module ‘unlink’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘unlink’.

2013-05-04  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Use gnulib module ‘signal-h’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘signal-h’.

2013-05-04  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Use gnulib module ‘sys_types’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘sys_types’.

2013-05-04  Thien-Thi Nguyen  <ttn@gnu.org>

	Suggest "frob" as the legacy interface command name.

	* doc/rcs.texi (rcs): ...here.

2013-05-03  Thien-Thi Nguyen  <ttn@gnu.org>

	[build] Use gnulib module ‘mempcpy’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘mempcpy’.

2013-05-03  Thien-Thi Nguyen  <ttn@gnu.org>

	Warn that option ‘-V’ is obsolete.

	* doc/rcs.texi (Misc common options):
	Add blurb about ‘-V’ and its future support.

2013-05-03  Thien-Thi Nguyen  <ttn@gnu.org>

	Create .lz and .xz tarballs, not .gz, for "make dist".

	* configure.ac (AM_INIT_AUTOMAKE): Add
	options ‘no-dist-gzip’, ‘dist-lzip’, ‘dist-xz’.

2013-05-02  Thien-Thi Nguyen  <ttn@gnu.org>

	Add "rcs --aliases".

	* doc/rcs.texi (rcs) <modern>: Update table
	for entry ‘--commands’; add entry ‘--aliases’.

2013-05-02  Thien-Thi Nguyen  <ttn@gnu.org>

	Internalize some RCS commands; make rcs(1) dispatch to them.

	* build-aux/extract-help: If the input does not use ‘CHECK_HV’
	with a literal string, arrange to #include "b-yacmd.h".
	* doc/rcs.texi (dispatchusage): New macro.
	(ci, co, rcsclean, rcsdiff, rcsmerge, rlog): Use ‘@dispatchusage’.
	(rcs): Likewise.  Also, add two subsections for "modern"
	and "legacy" usage, and blurb + table for the modern options.

2013-05-02  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Use ‘@dots{}’ more.

	* doc/rcs.texi (ci, co, ident, merge, rcs, rcsclean)
	(rcsdiff, rlog): ...here, in ‘@usage’ 2nd arg.

2013-05-01  Thien-Thi Nguyen  <ttn@gnu.org>

	Include one-line description in ‘--help’ output.

	* build-aux/extract-help: Also extract/format
	first line of PROGRAM.c input file, as ‘PROGRAM_blurb’.

2013-04-30  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Use "texi2dvi -E".

	* doc/Makefile.am (TEXI2DVI): New var.

2013-04-29  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Use double-hyphen in copyright notice.

	* doc/rcs.texi <copying>: ...here.

2013-04-29  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc int] Include ref in macro ‘noVN’.

	* doc/rcs.texi (noVN): Include @pxref in macro.
	(ident, merge): Update context of ‘noVN’ calls.

2013-04-11  Thien-Thi Nguyen  <ttn@gnu.org>

	co: Add option ‘-S’ to enable "self-same" mode.

	* doc/rcs.texi (co): Add entry for ‘-S’ in table of options.

2013-04-11  Thien-Thi Nguyen  <ttn@gnu.org>

	ident: Recognize Subversion "fixed-width keyword syntax".

	* doc/rcs.texi (ident): Add blurb, footnote and link to
	describe support for Subversion "fixed-width keyword syntax".

2013-04-05  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Fix bug: Document rcsmerge options ‘-A’, ‘-E’, ‘-e’.

	Reported by Honza Horak.

	* doc/rcs.texi (rcsmerge): ...here.

2013-04-05  Thien-Thi Nguyen  <ttn@gnu.org>

	Mention ineffectual options more prominently.

	* rcs.texi (Environment): Add macro ‘ineffectual’.
	(rcs): Move ‘-zZONE’ from table to ‘ineffectual’ call.
	(rcsdiff): Add ‘ineffectual’ call for ‘-T’.
	(rcsmerge): Likewise.
	(rlog): Likewise; move ‘-q’ from table to join it.

2013-04-04  Thien-Thi Nguyen  <ttn@gnuvola.org>

	Release: 5.8.2

2013-04-02  Thien-Thi Nguyen  <ttn@gnu.org>

	[dist] Don't bother w/ README-alpha any more.

	* configure.ac (AM_INIT_AUTOMAKE): Remove ‘readme-alpha’.
	* README-alpha: Delete file.

2013-03-30  Thien-Thi Nguyen  <ttn@gnu.org>

	Fix bug: Define syntax for ‘integrity’ value.

	* doc/rcs.texi (comma-v grammar): Change production ‘admin’
	clause ‘integrity’ value to use ‘intstring’ instead of ‘string’;
	add productions ‘intchar’, ‘thirdp’, ‘intstring’.
	(comma-v particulars): Explain past changes and current
	state of third-party interop space, wrt the file format.

2013-03-29  Thien-Thi Nguyen  <ttn@gnu.org>

	[doc] Add chapter describing the comma-v file format.

	* doc/rcs.texi (UCS): New macro.
	(Top): Add "File format" to menu.
	(File format): New node/chapter.
	(comma-v grammar): New node/section.
	(comma-v particulars): New node/section.

2013-03-27  Thien-Thi Nguyen  <ttn@gnu.org>

	[boot int] Bump Automake min vers to 1.12.2; specify ‘serial-tests’.

	* configure.ac (AM_INIT_AUTOMAKE): ...here.

2013-03-27  Thien-Thi Nguyen  <ttn@gnu.org>

	[boot int] Don't get build-aux/missing from gnulib.

	Gnulib no longer has ‘missing’ as of late June 2012:
	<http://git.savannah.gnu.org/cgit/gnulib.git/commit/?id=d0f486f0>.

	* autogen.sh (build-aux/missing): Delete ‘actually’.

2012-06-05  Thien-Thi Nguyen  <ttn@gnuvola.org>

	Release: 5.8.1

2012-05-20  Thien-Thi Nguyen  <ttn@gnuvola.org>

	[doc] Say "checked in" instead of "commited" (sic).

	The former is more consistent with RCS terminology.
	The latter is a spelling error, anyway.
	Reported by Romain Francoise.

	* doc/rcs.texi (rlog): Say "checked in" in ‘-w’ description.

2012-01-20  Thien-Thi Nguyen  <ttn@gnuvola.org>

	[build] Add configure option ‘--enable-coverage’.

	* configure.ac (coverage): New AC_ARG_ENABLE.
	(enable_coverage): Disable if GCC not detected.
	(CFLAGS) [enable_coverage]: Add ‘--coverage’.
	(USE_NORMAL_EXIT): New RCS_CBOOL.

2012-01-13  Thien-Thi Nguyen  <ttn@gnuvola.org>

	Invoke diff(1) with ‘--label’ instead of ‘-L’.

	GNU diff(1) support for ‘-L’ is transient.  Reported by Paul Eggert:
	<http://lists.gnu.org/archive/html/bug-rcs/2012-01/msg00007.html>.

	* configure.ac (rcs_cv_options_diff_l):
	Check ‘diff --label’ instead of ‘diff -L’.

2012-01-13  Thien-Thi Nguyen  <ttn@gnuvola.org>

	[doc] Explicitly declare UTF-8 correctly.

	This is what 2011-12-27, "Explicitly declare UTF-8" failed to do.

	* doc/rcs.texi <header>: Move ‘@documentencoding’
	after ‘@setfilename’; say ‘UTF-8’ instead of ‘utf-8’.

2012-01-01  Karl Berry  <karl@freefriends.org>  (tiny change)

	[doc] Expand "related projects" blurb; correct misunderstanding.

	* doc/rcs.texi (Overview): Replace CVS plug with paragraph
	mentioning Bazaar, CVS, Subversion and Git; include URL
	for Bazaar; don't say "GNU CVS" since CVS is not GNU.

2011-12-29  Thien-Thi Nguyen  <ttn@gnuvola.org>

	[build] Use gnulib module ‘getopt-gnu’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘getopt-gnu’.

2011-12-27  Thien-Thi Nguyen  <ttn@gnuvola.org>

	[doc] Explicitly declare UTF-8.

	* doc/rcs.texi <header>: Add ‘@documentencoding utf-8’.

2011-10-30  Thien-Thi Nguyen  <ttn@gnuvola.org>

	[doc] Decruft: Don't mention ucontext.h author.

	Omission from 2011-06-14, "Separate ISR
	scratch and alt sig stack allocations".

	* doc/rcs.texi (Credits): Don't mention ucontext.h author.

2011-10-29  Thien-Thi Nguyen  <ttn@gnuvola.org>

	[boot int] Require INFILE for extract-help.

	* build-aux/extract-help: Fail if INFILE
	not specified; don't bother with ‘exec 0<"$in"’.

2011-10-27  Thien-Thi Nguyen  <ttn@gnuvola.org>

	[boot int] Tee "gnulib utility" from gnulib-tool output.

	* autogen.sh: Pipe gnulib-tool output through a sed script
	that "tee"s the module list to file .gnulib-utility.

2011-10-19  Thien-Thi Nguyen  <ttn@gnuvola.org>

	[build] Use gnulib module ‘fcntl-h’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘fcntl-h’.

2011-10-18  Thien-Thi Nguyen  <ttn@gnuvola.org>

	[build] Use gnulib module ‘stat’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘stat’.

2011-10-18  Thien-Thi Nguyen  <ttn@gnuvola.org>

	[build] Use gnulib module ‘ssize_t’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘ssize_t’.

2011-10-18  Thien-Thi Nguyen  <ttn@gnuvola.org>

	[build] Use gnulib module ‘open’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘open’.

2011-10-18  Thien-Thi Nguyen  <ttn@gnuvola.org>

	[build int] Use gnulib to implement ‘exiting’ func attribute.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘snippet/_Noreturn’.

2011-10-18  Thien-Thi Nguyen  <ttn@gnuvola.org>

	[build] Use gnulib module ‘snprintf’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘snprintf’.

2011-10-18  Thien-Thi Nguyen  <ttn@gnuvola.org>

	[build int] Decruft: Remove obsolete handling for broken ‘printf %.2d’.

	* configure.ac (rcs_cv_dot2_ok): Delete AC_CACHE_CHECK.
	(PRINTF_DOT2_OK): Delete AC_DEFINE_UNQUOTED.
	(PRESUMABLY_STANDARD_ENOUGH_BY_NOW): Remove ‘rcs_cv_dot2_ok’.

2011-10-18  Thien-Thi Nguyen  <ttn@gnuvola.org>

	[build] Use gnulib module ‘sprintf-posix’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘sprintf-posix’.

2011-10-18  Thien-Thi Nguyen  <ttn@gnuvola.org>

	[build] Use gnulib module ‘opendir’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘opendir’.

2011-10-18  Thien-Thi Nguyen  <ttn@gnuvola.org>

	[build] Use gnulib module ‘fstat’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘fstat’.

2011-10-18  Thien-Thi Nguyen  <ttn@gnuvola.org>

	[build] Use gnulib module ‘closedir’.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘closedir’.

2011-10-18  Thien-Thi Nguyen  <ttn@gnuvola.org>

	[build] Use gnulib for large file support.

	* m4/gnulib-cache.m4 (gl_MODULES): Add ‘largefile’.
	* configure.ac (AC_SYS_LARGEFILE): Delete macro call.

2011-10-14  Thien-Thi Nguyen  <ttn@gnuvola.org>

	[build] Make extract-help fail noisily.

	* build-aux/extract-help: Add ‘set -e’.

2011-10-13  Thien-Thi Nguyen  <ttn@gnuvola.org>

	[int] Use program-specific variable name for extracted help.

	* build-aux/extract-help: If an input file is specified,
	use its stem to construct a C variable name "STEM_help".

2011-09-20  Thien-Thi Nguyen  <ttn@gnuvola.org>

	[doc] Make sure all macro calls use {}.

	Apparently, in PDF output, unlike Info output, the macro
	expansion abuts the following text unless there is {}.
